import { ApiBase } from './ApiBase';
import { CommentThread, AdaptableComment, CellAddress } from '../../types';
import { CommentApi } from '../CommentApi';
import { CommentsInternalApi } from '../Internal/CommentsInternalApi';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
export declare class CommentsApiImpl extends ApiBase implements CommentApi {
    internalApi: CommentsInternalApi;
    constructor(_adaptable: IAdaptable);
    getCommentThreadForCell(address: CellAddress): CommentThread | undefined;
    getAllComments(): CommentThread[];
    editComment(comment: AdaptableComment, address: CellAddress): void;
    deleteComment(comment: AdaptableComment, address: CellAddress): void;
    addComment(commentText: AdaptableComment['Value'], address: CellAddress): void;
    addCommentThread(commentThread: CommentThread): void;
    deleteCommentThread(cellAddress: CellAddress): void;
    setComments(cellComments: CommentThread[]): void;
    clearComments(): void;
    hideCommentsPopup(): void;
}
